DTRTI2(3f)

NAME
DTRTI2 - the inverse of a real upper or lower triangular matrix

SYNOPSIS

SUBROUTINE DTRTI2(
    UPLO, DIAG, N, A, LDA, INFO )

CHARACTER
    DIAG, UPLO

INTEGER
    INFO, LDA, N

DOUBLE
    PRECISION A( LDA, * )

PURPOSE
DTRTI2 computes the inverse of a real upper or lower triangular matrix. This is the Level 2 BLAS version of the algorithm.

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the matrix A is upper or lower triangular. = 'U': Upper triangular
    = 'L': Lower triangular

DIAG    (input) CHARACTER*1
    Specifies whether or not the matrix A is unit triangular. = 'N': Non-unit triangular
    = 'U': Unit triangular

N       (input) INTEGER
    The order of the matrix A. N >= 0.

A       (input/output) DOUBLE PRECISION array, dimension (LDA,N)
    On entry, the triangular matrix A. If UPLO = 'U', the leading n by n upper triangular part of the array A contains the upper triangular matrix, and the strictly lower triangular part of A is not referenced. If UPLO = 'L', the leading n by n lower triangular part of the array A contains the lower triangular matrix, and the strictly upper triangular part of A is not referenced. If DIAG = 'U', the diagonal elements of A are also not referenced and are assumed to be 1. On exit, the (triangular) inverse of the original matrix, in the same storage format.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -k, the k-th argument had an illegal value